Package de.gebit.integrity.services

## Class DSLGrammarAccess.ForkDefinitionElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.ForkDefinitionElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.ForkDefinitionElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForkDefinitionElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_7_0()` |
    `org.eclipse.xtext.Keyword` | `getBasedOnKeyword_7_0_1_0()` |
    `org.eclipse.xtext.Assignment` | `getBaseForkAssignment_7_0_1_2()` |
    `org.eclipse.xtext.CrossReference` | `getBaseForkForkDefinitionCrossReference_7_0_1_2_0()` |
    `org.eclipse.xtext.RuleCall` | `getBaseForkForkDefinitionQualifiedNameParserRuleCall_7_0_1_2_0_1()` |
    `org.eclipse.xtext.Assignment` | `getDescriptionAssignment_6_0()` |
    `org.eclipse.xtext.RuleCall` | `getDescriptionSTRINGTerminalRuleCall_6_0_0()` |
    `org.eclipse.xtext.Assignment` | `getDocumentationAssignment_0()` |
    `org.eclipse.xtext.RuleCall` | `getDocumentationDocumentationCommentParserRuleCall_0_0()` |
    `org.eclipse.xtext.Keyword` | `getForkdefKeyword_2()` |
    `org.eclipse.xtext.Assignment` | `getForkerClassAssignment_7_0_0_2()` |
    `org.eclipse.xtext.RuleCall` | `getForkerClassJavaClassReferenceParserRuleCall_7_0_0_2_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_6()` |
    `org.eclipse.xtext.Group` | `getGroup_7()` |
    `org.eclipse.xtext.Group` | `getGroup_7_0_0()` |
    `org.eclipse.xtext.Group` | `getGroup_7_0_1()` |
    `org.eclipse.xtext.Group` | `getGroup_8()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_4()` |
    `org.eclipse.xtext.RuleCall` | `getNameQualifiedNameParserRuleCall_4_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_3()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_6_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_7_0_0_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_7_0_1_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_7_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_8_1()` |
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_8_0()` |
    `org.eclipse.xtext.RuleCall` | `getParametersForkParameterParserRuleCall_8_0_0()` |
    `org.eclipse.xtext.Assignment` | `getPrivateAssignment_1()` |
    `org.eclipse.xtext.Keyword` | `getPrivatePrivateKeyword_1_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Keyword` | `getUsesKeyword_7_0_0_0()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForkDefinitionElements

          public ForkDefinitionElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getDocumentationAssignment_0

          public org.eclipse.xtext.Assignment getDocumentationAssignment_0()

    - #### getDocumentationDocumentationCommentParserRuleCall_0_0

          public org.eclipse.xtext.RuleCall getDocumentationDocumentationCommentParserRuleCall_0_0()

    - #### getPrivateAssignment_1

          public org.eclipse.xtext.Assignment getPrivateAssignment_1()

    - #### getPrivatePrivateKeyword_1_0

          public org.eclipse.xtext.Keyword getPrivatePrivateKeyword_1_0()

    - #### getForkdefKeyword_2

          public org.eclipse.xtext.Keyword getForkdefKeyword_2()

    - #### getNLParserRuleCall_3

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_3()

    - #### getNameAssignment_4

          public org.eclipse.xtext.Assignment getNameAssignment_4()

    - #### getNameQualifiedNameParserRuleCall_4_0

          public org.eclipse.xtext.RuleCall getNameQualifiedNameParserRuleCall_4_0()

    - #### getNLParserRuleCall_5

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5()

    - #### getGroup_6

          public org.eclipse.xtext.Group getGroup_6()

    - #### getDescriptionAssignment_6_0

          public org.eclipse.xtext.Assignment getDescriptionAssignment_6_0()

    - #### getDescriptionSTRINGTerminalRuleCall_6_0_0

          public org.eclipse.xtext.RuleCall getDescriptionSTRINGTerminalRuleCall_6_0_0()

    - #### getNLParserRuleCall_6_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_6_1()

    - #### getGroup_7

          public org.eclipse.xtext.Group getGroup_7()

    - #### getAlternatives_7_0

          public org.eclipse.xtext.Alternatives getAlternatives_7_0()

    - #### getGroup_7_0_0

          public org.eclipse.xtext.Group getGroup_7_0_0()

    - #### getUsesKeyword_7_0_0_0

          public org.eclipse.xtext.Keyword getUsesKeyword_7_0_0_0()

    - #### getNLParserRuleCall_7_0_0_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_7_0_0_1()

    - #### getForkerClassAssignment_7_0_0_2

          public org.eclipse.xtext.Assignment getForkerClassAssignment_7_0_0_2()

    - #### getForkerClassJavaClassReferenceParserRuleCall_7_0_0_2_0

          public org.eclipse.xtext.RuleCall getForkerClassJavaClassReferenceParserRuleCall_7_0_0_2_0()

    - #### getGroup_7_0_1

          public org.eclipse.xtext.Group getGroup_7_0_1()

    - #### getBasedOnKeyword_7_0_1_0

          public org.eclipse.xtext.Keyword getBasedOnKeyword_7_0_1_0()

    - #### getNLParserRuleCall_7_0_1_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_7_0_1_1()

    - #### getBaseForkAssignment_7_0_1_2

          public org.eclipse.xtext.Assignment getBaseForkAssignment_7_0_1_2()

    - #### getBaseForkForkDefinitionCrossReference_7_0_1_2_0

          public org.eclipse.xtext.CrossReference getBaseForkForkDefinitionCrossReference_7_0_1_2_0()

    - #### getBaseForkForkDefinitionQualifiedNameParserRuleCall_7_0_1_2_0_1

          public org.eclipse.xtext.RuleCall getBaseForkForkDefinitionQualifiedNameParserRuleCall_7_0_1_2_0_1()

    - #### getNLParserRuleCall_7_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_7_1()

    - #### getGroup_8

          public org.eclipse.xtext.Group getGroup_8()

    - #### getParametersAssignment_8_0

          public org.eclipse.xtext.Assignment getParametersAssignment_8_0()

    - #### getParametersForkParameterParserRuleCall_8_0_0

          public org.eclipse.xtext.RuleCall getParametersForkParameterParserRuleCall_8_0_0()

    - #### getNLParserRuleCall_8_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_8_1()